# $Revision: 1.8 $, $Date: 2011/06/07 10:56:15 $
Summary:	MiniUPnP client and a library
Name:		miniupnpc
Version:	1.5
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://miniupnp.tuxfamily.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	0efa7498d27c82a56a0300b0c05c4f58
URL:		http://miniupnp.tuxfamily.org/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MiniUPnP client and a library

%package devel
Summary:	Header files for miniupnpc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki miniupnpc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for miniupnpc library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki miniupnpc.

%package static
Summary:	Static miniupnpc library
Summary(pl.UTF-8):	Statyczna biblioteka miniupnpc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static miniupnpc library.

%description static -l pl.UTF-8
Statyczna biblioteka miniupnpc.

%package -n python-miniupnpc
Summary:	Python binding for miniupnpc library
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-miniupnpc
Python binding for miniupnpc library.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -Wall -DNDEBUG"

export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3
%{__make} install \
	INSTALLPREFIX=$RPM_BUILD_ROOT%{_prefix} \
	INSTALLDIRLIB=$RPM_BUILD_ROOT%{_libdir}

# let SONAME be the symlink
mv $RPM_BUILD_ROOT%{_libdir}/libminiupnpc.so.{5,5.0.0}
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

cp -a man3/miniupnpc.3 $RPM_BUILD_ROOT%{_mandir}/man3

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changelog.txt README LICENSE
%attr(755,root,root) %{_bindir}/upnpc
%attr(755,root,root) %{_bindir}/external-ip
%attr(755,root,root) %{_libdir}/libminiupnpc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libminiupnpc.so.5

%files devel
%defattr(644,root,root,755)
%doc upnpc.c
%{_libdir}/libminiupnpc.so
%{_includedir}/miniupnpc
%{_mandir}/man3/miniupnpc.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libminiupnpc.a

%files -n python-miniupnpc
%defattr(644,root,root,755)
%doc pymoduletest.py testupnpigd.py
%{py_sitedir}/miniupnpc.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/miniupnpc-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: miniupnpc.spec,v $
Revision 1.8  2011/06/07 10:56:15  arekm
- release 2

Revision 1.7  2011/06/06 12:52:29  arekm
- up to 1.5

Revision 1.6  2010/09/01 19:51:07  charles
- updated to 1.4

Revision 1.5  2010/07/09 11:19:43  arekm
- release 3

Revision 1.4  2009/04/01 13:42:23  glen
- ldconfig; rel 2

Revision 1.3  2009/03/31 19:29:28  glen
- lib64; rel 1

Revision 1.2  2009/03/29 13:12:36  glen
- package .egg-info for py 2.6

Revision 1.1  2009/03/29 13:08:55  glen
- new
